summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreudoxia <uplink@distress.network>2022-01-18 03:02:07 -0500
committereudoxia <uplink@distress.network>2022-01-18 03:02:07 -0500
commitfeea7384f3e197681745c2bfbbf4ae778aa0df43 (patch)
treef6c8c020899dccedf7150920cb17bef56ac6227b
parent72f3a9c0029923443e1587e1e6df7989d28860db (diff)
md.sh + plain.sh: changed console output formatting
-rwxr-xr-xmd.sh8
-rwxr-xr-xplain.sh4
2 files changed, 6 insertions, 6 deletions
diff --git a/md.sh b/md.sh
index fbc5fec..1c69731 100755
--- a/md.sh
+++ b/md.sh
@@ -32,10 +32,10 @@ OUT="$1/index.html"
[ "$1" ] || { echo "$usage" ; exit 1 ; }
-[ -f $IN ] || { printf "%s \tFATAL: %s not found\n" "[->]" "$IN" ; exit 1 ; }
-[ -f md-header ] || { printf "%s \tFATAL: md-header not found\n" "[->]" ; exit 1 ; }
-[ -f md-footer ] || { printf "%s \tFATAL: md-footer not found\n" "[->]" ; exit 1 ; }
-[ -e $(which lowdown) ] || { printf "%s \tFATAL: lowdown not found\n" "[->]" ; exit 1 ; }
+[ -f $IN ] || { printf "[err] \t%s not found\n" "$IN" ; exit 1 ; }
+[ -f md-header ] || { printf "[err] \tmd-header not found\n" ; exit 1 ; }
+[ -f md-footer ] || { printf "[err] \tmd-footer not found\n" ; exit 1 ; }
+[ -e $(which lowdown) ] || { printf "[err] \tlowdown not found\n" ; exit 1 ; }
cat md-header > $OUT
lowdown -Thtml --html-no-owasp $IN >> $OUT
diff --git a/plain.sh b/plain.sh
index 7ba548b..fa90665 100755
--- a/plain.sh
+++ b/plain.sh
@@ -21,8 +21,8 @@ set -e
[ "$1" ] || { echo "usage: ./plain.sh <input txt> <output html>" ; exit 1 ; }
-[ -f $1 ] || { printf "%s \tFATAL: %s not found\n" "[->]" "$1" ; exit 1 ; }
-[ -f plain-header ] || { printf "%s \tFATAL: plain-header not found\n" "[->]" ; exit 1 ; }
+[ -f $1 ] || { printf "[err] \tFATAL: %s not found\n" "$1" ; exit 1 ; }
+[ -f plain-header ] || { printf "[err] \tFATAL: plain-header not found\n" ; exit 1 ; }
cat plain-header > $2